var fabCols = [
    "lime",
    "black",
    "blue",
    "brown",
    "cyan",
    "gray",
    "green",
    "light_blue",
    "light_gray",
    "magenta",
    "orange",
    "pink",
    "purple",
    "red",
    "white",
    "yellow"
]

ServerEvents.recipes(event => {
    fabCols.forEach((color) => {
        event.shaped(
            Item.of(`7x arrzenhanced:${color}_fabric`),
            [
              '  A',
              ' BB',
              'A  '
            ],
            {
              A: 'minecraft:string',
              B: `minecraft:${color}_wool`,
            }
        )
    })
});